*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

header {
    display: flex;
    position: fixed;
    width: 100vw;
    top: 0;
    left: 0;
    background-color: #F1F0EE;
    height: 64px;
    align-items: center;
    justify-content: space-between;
    border-bottom: 6px solid #DDBA80;
}

header h1 {
    font-family: "Courier New", "monospace";
    color: #2B3733;
    margin-left: 25px;
}

header h1 span {
    font-size: 0.4em;
    font-style: italic;
}

header nav {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-right: 20px;
}

.header-btns {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border: 3px solid #2B3733;
    border-radius: 15px;
    background-color: #DDBA80;
    box-shadow: 2px 4px #2B3733EE;
    margin: 0 5px 4px 5px
}

#github-logo {
    width: 40px;
    height: 40px;
}

#info-icon {
    width: 25px;
    height: 25px;
}

.header-btns:hover {
    transform: translate(2px, 1px);
    box-shadow: 1px 2px #2B3733EE;
}

.header-btns:active {
    transform: translate(4px, 2px);
    box-shadow: 0 0;
}

#info {
    display: none;
    position: absolute;
    color: #2B3733;
    background-color: #F1F0EE;
    width: 50vw;
    top: 20vh;
    left: 25vw;
    border: 8px solid #A48964;
    padding: 8px;
    box-shadow: 0 15px 30px rgb(0,0,0,30%);
    z-index: 100;
}

#info-close {
    font-size: 1.5rem;
    width: 30px;
    height: 30px;
    border: 2px solid #2B3733;
    background-color: #DDBA80;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    position: absolute;
    top: 0;
    right: 0;
    margin: 4px 6px 0 0;
    box-shadow: 1px 2px #2B3733EE;
}

#info-close:active {
    transform: translate(2px, 1px);
    box-shadow: 0 0 0;
}

#info p {
    margin-top: 15px;
}

#info p a {
    text-decoration: none;
    color: #A48964;
}

#info p a:hover {
    text-decoration: underline;
}

.show {
    display: block !important;
    animation: fadeIn 0.3s ease-in forwards;
}

.hide {
    animation: fadeOut 0.3s ease-out forwards;
}

@keyframes fadeIn {
    from {opacity: 0;}
    to {opacity: 100%;}
}

@keyframes fadeOut {
    from {opacity: 100%}
    to {opacity: 0}
}

body {
    background-color: #A48964;
}

/* Chat Window Styles */
#chat-box {
    display: flex;
    flex-direction: column;
    background-color: #2B3733;
    border: 20px solid #DDBA80;
    border-radius: 15px;
    margin: 80px auto 0 auto;
    width: 80vw;
    height: 80vh;
    color: #F1F0EE;
    font-family: "Courier New", monospace;
    font-size: 1.1rem;
}

#chat-window {
    flex: 1;
    display: flex;
    flex-direction: column;
    height: 85%;
    padding: 0 25px 0 15px;
    overflow-y: auto;
    overflow-x: hidden;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;
}

#chat-window::-webkit-scrollbar {
    display: none;
}

#input-form {
    display: flex;
    flex-shrink: 0;
    position: relative;
    bottom: 0;
    justify-content: center;
    align-items: center;
    margin: 8px auto 8px auto;
    width: 95%;
    background-color: #2B3733;
    border: 5px solid #DDBA80;
    border-radius: 10px;
    color: #F1F0EE;
}

#user-input {
    color: #F1F0EE;
    font-family: inherit;
    font-size: inherit;
    padding: 18px 10px 4px 10px;
    text-wrap: wrap;
    resize: none;
    overflow-y: auto;
    background: transparent;
    outline: none;
    border: none;
    margin-right: auto;
    width: 80%;
}

#input-form:focus-within {
    outline: 1px solid black;
    box-shadow: 0 3px 5px rgb(0,0,0,50);
}

#user-input:focus {
    outline: none;
}

.submit-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 2%;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    padding: 2px 2px 0 0;
}

#send-input {
    background-color: transparent;
    width: 25px;
    height: 25px;
}

.submit-wrapper:hover {
    background-color: #83848D70;
}

#chat-window p {
    margin-top: 0.75rem;
}

.first-msg {
    margin-top: auto;
}

.user-msg {
    display: block;
    background-color: rgb(0,0,0,15%);
    padding: 0.5rem 0.75rem;
    border-radius: 8px;
    width: fit-content;
    max-width: 65%;
    margin-left: auto;
    text-wrap: wrap;
    overflow-wrap: break-word;
}

.assistant-msg {
    display: block;
    width: fit-content;
    max-width: 75%;
    margin-right: auto;
    text-wrap: wrap;
    overflow-wrap: break-word;
    line-height: 1.5rem;
    padding-left: 0.5rem;
}

.assistant-msg p {
    margin-top: 2rem;
}


.assistant-msg ul, .assistant-msg ol {
    margin: 0.5rem 0 0.5rem 0;
    padding-left: 2rem;
}

/* Responsive Design Section */
@media screen and (max-width: 700px) {
    h1 span {
        display: block;
    }

    #info {
        width: 80vw;
        top: 15vh;
        left: 10vw;
    }

    #chat-box {
        width: 100vw;
        font-size: 1rem;
        border: 5px solid #DDBA80;
        border-top: 0;
        border-radius: 0;
        margin-top: 64px;
    }

    header {
        margin-bottom: 0;
    }


}